﻿
function ShowMenu() {
    $("body").append("<div id='MenuBackground'></div>");
    $("body").append("<div id='MenuBody'></div>");
    $("#MenuBody").append("<div class='menu_space'></div>");
    $("#MenuBody").append("<div class='menu_title'><img src='images/menu_logo.png' />绿建标准评估</div>");
    $("#MenuBody").append("<div class='menu_line'><hr/></div>");
    $("#MenuBody").append("<div class='menu_item' data-menuid='about'><img src='images/menu_about.png' />关于...</div>");
    $("#MenuBody").append("<div class='menu_item' data-menuid='apps'><img src='images/menu_apps.png' />更多应用</div>");
    $("#MenuBody").append("<div class='menu_item' data-menuid='account'><img src='images/menu_account.png' />账户</div>");

    if (localStorage.devPlatform == "android") {
        $("#MenuBody").append("<div class='menu_item' data-menuid='exit'><img src='images/menu_exit.png' />退出</div>");;
    }

    $(document).on("touchstart", "#MenuBackground", function (e) {
        e.preventDefault();
        HideMenu();
    });
    $(document).on("click", "#MenuBackground", function (e) {
        e.preventDefault();
        HideMenu();
    });
    $(document).on("touchstart", "div.menu_item", function (e) {
        ClickMenu($(this).attr("data-menuid"));
    });
    $(document).on("click", "div.menu_item", function (e) {
        ClickMenu($(this).attr("data-menuid"));
    });
}
function HideMenu() {
    $("#MenuBody").html("");
    $("#MenuBody").remove();
    $("#MenuBackground").remove();
}
function ClickMenu(ItemData) {
    if (ItemData == "exit") {
        navigator.notification.confirm('您确定要退出应用吗?', onConfirm, '退出应用', ['取消', '确定']);
    }
    else if (ItemData == "account") {
        window.location = "account.html?parenturl=" + window.location;
    }
    else {
        var Url = "http://www.zcloud-online.com";

        if (ItemData == "about")
            Url = "http://www.zcloud-online.com/AppService/AppInfo?appId=2016003";
        else if (ItemData == "apps")
            Url = "http://www.zcloud-online.com/AppService/AppsList?typeId=0";

        window.open(Url, '_system');
        HideMenu();
        //window.open("MenuOpenPage.html?menuid=" + ItemData + "&parenturl=" + window.location);
    }
}
function onConfirm(buttonIndex) {
    if (buttonIndex == 2) {
        navigator.app.exitApp();
    }
    else {
        HideMenu();
    }
}
