﻿var objCity;
(function () {
    "use strict";

    

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {

        InitCityPage();

        var wWidth = $(window).width();
        var wHeight = $(window).height();
        var lWidth = $("#FirstLetter").width();
        var lHeight = $("#FirstLetter").height();
        $("#FirstLetter").css("left", wWidth / 2 - lWidth / 2);
        $("#FirstLetter").css("top", wHeight / 3 - lHeight / 2);

        $("#btn_cityback").click(function () {
            $("#ipt_searchcity").val("");
            $("#CityBackground").slideUp(300);
        });
        $("div.div_citylist").on("touchstart", "div.div_cityFirstLetter span", function (e) {
            e.preventDefault();
            $("#LetterBackground").show();
            $("#FirstLetter").fadeIn("fast");
        });
        $("div.div_citylist").on("click", "div.div_cityFirstLetter span", function (e) {
            e.preventDefault();
            $("#LetterBackground").show();
            $("#FirstLetter").fadeIn("fast");
        });
        $("div.div_citylist").on("touchstart", "div.div_city span", function (e) {
            e.preventDefault();
            var cityId = $(this).attr("data-cityId");
            var cityName = $(this).text();
            $("#ipt_cityId").val(cityId);
            $(objCity).val(cityName);
            $("#ipt_cityId").trigger("change");
            $("#ipt_searchcity").val("");
            $("#CityBackground").slideUp(300);
        });
        $("div.div_citylist").on("click", "div.div_city span", function (e) {
            e.preventDefault();
            var cityId = $(this).attr("data-cityId");
            var cityName = $(this).text();
            $("#ipt_cityId").val(cityId);
            $(objCity).val(cityName);
            $("#ipt_cityId").trigger("change");
            $("#ipt_searchcity").val("");
            $("#CityBackground").slideUp(300);
        });
        $("#FirstLetter").on("touchstart", "img", function (e) {
            e.preventDefault();
            $("#FirstLetter").fadeOut(300);
            $("#LetterBackground").hide();
        });
        $("#FirstLetter").on("click", "img", function (e) {
            e.preventDefault();
            $("#FirstLetter").fadeOut(300);
            $("#LetterBackground").hide();
        });
        $("#FirstLetter").on("touchstart", "label", function (e) {
            e.preventDefault();
            var letter = $(this).text();
            var objFirstLetter = $("div.div_citylist").find("div.div_cityFirstLetter[data-letter=" + letter + "]");
            $("div.div_citylist").animate({
                scrollTop: $(objFirstLetter).offset().top - $("div.div_citylist").offset().top + $("div.div_citylist").scrollTop()
            }, 300);
            $("#FirstLetter").fadeOut(300);
            $("#LetterBackground").hide();
        });
        $("#FirstLetter").on("click", "label", function (e) {
            e.preventDefault();
            var letter = $(this).text();
            var objFirstLetter = $("div.div_citylist").find("div.div_cityFirstLetter[data-letter=" + letter + "]");
            $("div.div_citylist").animate({
                scrollTop: $(objFirstLetter).offset().top - $("div.div_citylist").offset().top + $("div.div_citylist").scrollTop()
            }, 300);
            $("#FirstLetter").fadeOut(300);
            $("#LetterBackground").hide();
        });
        $("#CityBody").on("change", "#ipt_searchcity", function (e) {
            e.preventDefault();
            var nameFilter = $(this).val();
            GetCityList(nameFilter);
        });
    };
})();
function ShowPage(obj) {
    objCity = obj;
    $("#CityBackground").slideDown(500);
}
function InitCityPage()
{
    $("body").append("<div id='CityBackground'></div>");
    $("#CityBackground").append("<div id='CityBody'></div>");
    $("#CityBody").append("<div class='div_search'>" +
        "<table style='width:90%;height:100%;' border='0' cellpadding='0' cellspacing='0' align='center'>" +
        "<tr><td style='width:30%;'>搜索城市:</td><td><input id='ipt_searchcity' type='text' /></td>" +
        "</tr></table></div>");
    $("#CityBody").append("<div class='div_citylist'></div>");
    
    $("#CityBackground").append("<div class='div_bottombar'><table border=0 cellpadding=0 cellspacing=0 align='center'><tr><td class='td_button_bottom_1button'><img id='btn_cityback' src='images/return.png'></td></tr></table></div>");


    $("body").append("<div id='LetterBackground'></div>");
    $("#LetterBackground").append("<div id='FirstLetter'></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><img id='btn_letterback' src='images/back_blue.png' /></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>A</label></div><div class='div_nav_letter'><label>B</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>C</label></div><div class='div_nav_letter'><label>D</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>E</label></div><div class='div_nav_letter'><label>F</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>G</label></div><div class='div_nav_letter'><label>H</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>J</label></div><div class='div_nav_letter'><label>K</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>L</label></div><div class='div_nav_letter'><label>M</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>N</label></div><div class='div_nav_letter'><label>P</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>Q</label></div><div class='div_nav_letter'><label>R</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>S</label></div><div class='div_nav_letter'><label>T</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>W</label></div><div class='div_nav_letter'><label>X</label></div>");
    $("#FirstLetter").append("<div class='div_nav_letter'><label>Y</label></div><div class='div_nav_letter'><label>Z</label></div>");

    GetCityList("");
}
function GetCityList(nameFilter)
{
    $("div.div_citylist").html("");
    var SQL = "";
    var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
    dbLocal.transaction(function (tx) {
        SQL = "Select id,name,shouzimu From city Where name like '%" + nameFilter + "%' Order By shouzimu,name ;";
        tx.executeSql(SQL, [], function (transaction, res) {
            var lens = res.rows.length;
            var LastFirestLetter = "";
            for (var i = 0; i < lens; i++) {
                var cityId = res.rows.item(i).id;
                var cityName = res.rows.item(i).name;
                var cityShouzimu = res.rows.item(i).shouzimu;

                if (cityShouzimu == "") {
                    continue;
                }

                if (LastFirestLetter != cityShouzimu) {
                    $("div.div_citylist").append("<div class='div_cityFirstLetter' data-letter='" + cityShouzimu + "'><span>" + cityShouzimu + "</span></div>");
                    LastFirestLetter = cityShouzimu;
                }

                $("div.div_citylist").append("<div class='div_city'><span data-cityId=" + cityId + ">" + cityName + "</span></div>");
            }

        });
    });
}