﻿(function () {
    //$(document).ready(function(){


    document.addEventListener("backbutton", onBackKeyDown, false);
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onDeviceReady() {
        if (localStorage.devPlatform == "android" || localStorage.devPlatform == "windows") {
            $("div.div_statusbar").css("height", "0%");
            $("div.div_body").css("height", "80%");
            $("div.div_body_full").css("height", "90%");
        }
        else {
            $("div.div_statusbar").css("height", "3%");
            $("div.div_body").css("height", "77%");
            $("div.div_body_full").css("height", "87%");
        }

        var CurPage = getCurPageName();
        var htmlTopBar = "<table class='table_topbar' border='0' cellpadding='0' cellspacing='0'>";
        htmlTopBar += "<tr><td style='height:100%;width:1em;'></td>";
        htmlTopBar += "<td style='width:2em;'>";
        if (CurPage == "login" || CurPage == "regist" || CurPage == "MenuOpenPage" || CurPage == "account") {
            htmlTopBar += "<img src='images/menu_logo.png' alt='logo'>";
        }
        else {
            htmlTopBar += "<img id='btn_menu' src='images/menu.png' alt='logo'>";
        }
        htmlTopBar += "</td>";
        htmlTopBar += "<td style='width:auto;'>绿建标准评估</td>";
        htmlTopBar += "<td style='width:1.5em;'>";
        if (CurPage == "login") {
            htmlTopBar += "<img id='btn_poweroff' src='images/power_off_white.png' alt='logo'>";
        }
        else {
            htmlTopBar += "&nbsp;";
        }
        htmlTopBar += "</td>";
        htmlTopBar += "<td style='width:1em;'></td></tr></table>";
        $("div.div_topbar").html(htmlTopBar);

        $("#btn_menu").on("click", "", function (e) {
            ShowMenu();
        });
        if (localStorage.devPlatform != "android") {
            $("#btn_poweroff").css("display", "none");
        }
        $("#btn_poweroff").click(function (e) {
            navigator.notification.confirm('您确定要退出应用吗?', function (buttonIndex) {
                if (buttonIndex == 2) {
                    navigator.app.exitApp();
                }
            }, '退出应用', ['取消', '确定']);
        });
    };

    //});
})();
function onBackKeyDown() {
    // Handle the back button  
    var CurPage = getCurPageName();
    if (CurPage == "index" || CurPage == "login" || CurPage == "main") {

    }
    else {
        $("#btn_back").trigger("click");
    }
}
function getCurPageName() {
    var CurPage = window.location + "";
    CurPage = CurPage.substring(CurPage.indexOf("www/") + 4);
    CurPage = CurPage.substring(0, CurPage.indexOf(".html"));
    return CurPage;
}
function getParameter(sUrl, paraName) {
    var reg = "(?:\\?|&){1}" + paraName + "=([^&]*)"
    var regresult = new RegExp(reg, "gi");
    regresult.exec(sUrl);
    return RegExp.$1;
}
function getParaPageUrl(PageUrl) {
    var rootPos = PageUrl.lastIndexOf("www/");
    if (rootPos >= 0)
        rootPos = rootPos + 4;
    else
        rootPos = 0;
    PageUrl = PageUrl.substring(rootPos);
    return PageUrl;
}