﻿var userName = "";
var userPwd = "";
var userPwdRpt = "";
var userEmail = "";
var userSubscribe = 0;
(function () {
    "use strict";

    document.addEventListener("deviceready", onDeviceReady, false);

    function onDeviceReady() {
        $("#btn_back").click(function (e) {
            window.location = "login.html";
        });
        $("#btn_rgt").click(function (e) {
            
            userName = $("#userName").val();
            userName = $.trim(userName);
            userPwd = $("#userPasswd").val();
            userPwd = $.trim(userPwd);
            userPwdRpt = $("#userPasswdRpt").val();
            userPwdRpt = $.trim(userPwdRpt);
            userEmail = $("#userEmail").val();
            userEmail = $.trim(userEmail);

            //检验用户名
            if (!CheckUserName())
            {
                return;
            }
            //检验用户密码
            if (!CheckUserPassword()) {
                return;
            }
            //检验用户邮箱
            if (!CheckUserEmail()) {
                return;
            }
            //已同意使用条款和用户协议
            if (!$("#userAgreement").get(0).checked) {
                
                navigator.notification.alert(
                     '您必须同意使用条款和隐私声明才能注册帐户',  // message
                     function () {
                         return;
                     },         // callback
                    '用户注册',            // title
                    '确定'                 // buttonName
                );
                return;
            }

            //订阅NewLetter
            //if ($("#userSubscribe").get(0).checked)
            {
                userSubscribe = 1;
            }
            
            //用户注册
            if (UserRegist())
            {
                window.location = "login.html";
            }
        });
    };

})();


//检验用户名
function CheckUserName()
{
    if (userName.length == 0) {
        navigator.notification.alert(
             '请输入用户名',  // message
             function () {
                 $("#userName").focus();
             },         // callback
            '用户注册',            // title
            '确定'                  // buttonName
        );
    }
    else {
        if(CheckUserData("userName",userName))
        {
            return true;
        }
        else
        {
            $("#userName").focus();
            $("#userName").select();
            return false;
        }
    }
}
//检验用户邮件
function CheckUserEmail() {
    if (userEmail.length == 0) {
        navigator.notification.alert(
             '请输入有效的电子邮件地址',  // message
             function () {
                 $("#userEmail").focus();
             },         // callback
            '用户注册',            // title
            '确定'                  // buttonName
        );
    }
    else {
        
        if (CheckUserData("userEmail", userEmail)) {
            return true;
        }
        else {
            $("#userEmail").focus();
            $("#userEmail").select();
            return false;
        }
        /*
        return true;
        */
    }
}
//检验用户密码
function CheckUserPassword()
{
    if (userPwd.length == 0)
    {
        navigator.notification.alert(
             '请输入并记住您的登录密码',  // message
             function () {
                 $("#userPwd").focus();
             },         // callback
            '用户注册',            // title
            '确定'                  // buttonName
        );
        return false;
    }
    if (userPwdRpt.length == 0) {
        navigator.notification.alert(
             '请重复输入您的登录密码',  // message
             function () {
                 $("#userPwdRpt").focus();
             },         // callback
            '用户注册',            // title
            '确定'                  // buttonName
        );
        return false;
    }
    if (userPwd != userPwdRpt) {
        navigator.notification.alert(
             '您重复输入的密码与登录密码不一致',  // message
             function () {
                 $("#userPwdRpt").val("");
                 $("#userPwdRpt").focus();
             },         // callback
            '用户注册',            // title
            '确定'                  // buttonName
        );
        return false;
    }
    return true;
}

//服务器检验数据
function CheckUserData(CheckType, CheckData)
{
    var Pmt = "data=" + CheckData;
    Pmt += "&type=" + CheckType;

    var pageUrl = "userinfo/checkData?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    var rtn = 0;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //检验成功
            //alert(JSON.stringify(data));
            if (rtnData.respNo == "200")
                rtn = 1;
            else {
                var rtnMessage = rtnData.respDesc;
                switch (CheckType) {
                    case "userName":
                        rtnMessage = rtnMessage.replace(CheckType, "用户名");
                        break;
                    case "userEmail":
                        rtnMessage = rtnMessage.replace(CheckType, "电子邮件地址");
                        break;
                }
                navigator.notification.alert(
                     rtnMessage,  // message
                     function () {
                         rtn = 0;
                     },         // callback
                    '用户注册',            // title
                    '确定'                  // buttonName
                );
            }

        }
        else {
            //检验失败
            alert(rtnData.respDesc);
            rtn = 0;
        }
    }

    if(rtn==1)
        return true;
    else
        return false;
}

//用户注册
function UserRegist() {
    getDevInfo();   //获取设备信息

    var Pmt = "userName=" + userName;
    Pmt += "&userPwd=" + userPwd;
    Pmt += "&userEmail=" + userEmail;
    Pmt += "&devId=" + devUUID;
    Pmt += "&devModel=" + devModel;
    Pmt += "&devOs=" + devPlatform;
    Pmt += "&osVersion=" + devVersion;

    var pageUrl = "userinfo/regist?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    var rtn = 0;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //注册成功
            navigator.notification.alert(
                     '注册成功，激活邮件已经发送到您注册的电子邮件地址，请根据邮件提示激活账户。\n\n点击确定返回登录页面',  // message
                     function () {
                         rtn = 1;
                     },         // callback
                    '用户注册',            // title
                    '确定'                  // buttonName
                );
            rtn = 1;
        }
        else {
            //注册失败
            navigator.notification.alert(
                     rtnData.respDesc,  // message
                     function () {
                         rtn = 0;
                     },         // callback
                    '注册失败',            // title
                    '确定'                  // buttonName
                );
            rtn = 0;
        }
    }

    if (rtn == 1)
        return true;
    else
        return false;
}