﻿var dbLocal;

var verId;
var countStar;
var aContent;

(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {
        var url = location.href;
        countStar = getParameter(url, "countstar");
        verId = getParameter(url, "verid");
        //aContent = JSON.parse(localStorage.aContent);

        //获取导航及问题列表
        getQuestionList();

        
        $("#btn_back").click(function () {
            window.location = "ProjectList.html";
        });
    };

})();

function getQuestionList() {
    var htmlNav = "";
    var htmlContent = "";
    /*
    dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
    dbLocal.transaction(function (tx) {
        
        //生成问卷
        SQL = "Select qId,qContent,greenbuilding_question.partId,partName,partBgcolor,";
        SQL += "greenbuilding_question.typeId,typeName ";
        SQL += "From greenbuilding_question,greenbuilding_part,greenbuilding_type ";
        SQL += "Where greenbuilding_question.partId=greenbuilding_part.partId ";
        SQL += "And greenbuilding_question.typeId=greenbuilding_type.typeId ";
        SQL += "And greenbuilding_question.qVersion=" + verId + " ;";
        tx.executeSql(SQL, [], function (transaction, res) {
            var lens = res.rows.length;
            var prePartId = 0;
            for (var i = 0; i < lens; i++) {
                var qId = res.rows.item(i).qId;
                var qContent = res.rows.item(i).qContent;
                var partId = res.rows.item(i).partId;
                var partName = res.rows.item(i).partName;
                var partBgcolor = res.rows.item(i).partBgcolor;
                var typeId = res.rows.item(i).typeId;
                var typeName = res.rows.item(i).typeName;

                var qVal = getAnswer(partId, qId);
                var picName = "";

                //问卷栏
                if (prePartId != partId) {
                    prePartId = partId;
                    htmlContent = "<div class='div_qTitle'>" + partId + ".&nbsp;&nbsp;" + partName + "</div>";
                    $("div.div_qBody").append(htmlContent);
                }

                htmlContent = "<div class='div_qlist' ";
                htmlContent += "style='background-color:#" + partBgcolor + ";' ";
                htmlContent += "data-qcontent='" + qContent + "'";
                htmlContent += ">" + qId + "&emsp;";
                var picName = "";
                var qVal = getAnswer(partId, qId);
                switch (qVal) {
                    case -1:
                        picName = "qm_gray.png";
                        break;
                    case 1:
                        picName = "star_gray_full.png";
                        break;
                    default:
                        picName = "star_gray_empty.png";
                }
                htmlContent += "<img src='images/" + picName + "' /></div>";

                $("div.div_qBody").append(htmlContent);
            }

            

        }, function (err) {
            alert("Error " + err.code + " , " + err.message);
        });        
    });
    */
    htmlContent = "<div class='div_aStar'>"
    for (var s = 0; s < countStar; s++)
        htmlContent += "<img src='images/star_green_full.png'>";
    htmlContent += "</div>";
    htmlContent += "<div class='div_aStarTitle'>";
    if (countStar > 0)
        htmlContent += "本项目可满足绿色建筑 " + countStar + " 星标准。";
    else
        htmlContent += "本项目不满足绿色建筑标准。";
    htmlContent += "</div>";
    htmlContent += "<div class='div_aStarRemark'>";
    htmlContent += "注：本应用所采用评估标准为《绿色建筑评价标准 GB/T 50378-2006》，";
    htmlContent += "现行版本《绿色建筑评价标准 GB/T 50378-2014》已于2015年1月1日实施，对应版本应用正在开发中。";
    htmlContent += "</div>";

    var mailto = "service@zcloud-online.com";
    var subject = "我的 " + localStorage.bldgName + " 项目需要更多建议";
    subject = encodeURIComponent(subject);
    var body = "请在邮件中详细描述您需要帮助的问题\n\n";
    body = encodeURIComponent(body);
    var mailUrl = "mailto:" + mailto + "&subject=" + subject + "&body=" + body;
    htmlContent += "<div class='div_aStarTitle'>您也可以&nbsp;<a class='a_contactus' href='" + mailUrl + "'>联系我们</a>&nbsp;获取更多专业建议</div>"
    $("div.div_qBody").append(htmlContent);
}

function getAnswer(partId, qId) {
    var aVal = -1;
    $.each(aContent, function (i, a) {
        if (a["p"] == partId && a["q"] == qId) {
            aVal = a["a"];
            return false
        }
    });
    return aVal;
}
