﻿var jsonQuestions;

var bldgId;
var verId;
var countQ;
var countA;
var countStar=0;
var aContent;

var typeGrade = [];

var dbLocal;
(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {

        dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });

        var url = location.href;
        bldgId = getParameter(url, "bldgId");
        countQ = getParameter(url, "countq");
        countA = getParameter(url, "counta");

        //获取文件答案
        getAnswers(bldgId);
        
        //获取导航及问题列表
        getQuestionList();
        
        $("div.div_question").on("touchstart", "img", function (e) {
            ClickRadio($(this));
        });
        $("div.div_question").on("click", "img", function (e) {
            ClickRadio($(this));
        });
        $("div.div_question").on("touchstart", "span", function (e) {
            ClickRadio($(this));
        });
        $("div.div_question").on("click", "span", function (e) {
            ClickRadio($(this));
        });
        $("div.div_navigate").on("touchstart", "div.div_q_nav", function (e) {
            ClickNavigate($(this));
        });
        $("div.div_navigate").on("click", "div.div_q_nav", function (e) {
            ClickNavigate($(this));
        });

        $("#btn_back").click(function() {
            window.location = "ProjectList.html";
        });
        $("#btn_submit").click(function() {
            SubmitQuestion();
        });
    };

})();
function getAnswers(bldgId) {

    //var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });

    var Pmt = "bldgId=" + bldgId;
    var pageUrl = "greenbuild/getAnswer?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    var gbAnswer;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            gbAnswer = rtnData.greenbuildingAnswer;
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return -1;
                 },         // callback
                '获取项目列表失败',            // title
                '确定'                 // buttonName
            );
            return -1;
        }
    }
    if (gbAnswer == null)
    {
        verId = localStorage.lastVersion;
        aContent = [];
        /*
        Pmt = "bldgId=" + bldgId;
        pageUrl = "greenbuild/addAnswer?";
        pagePmt = Pmt;
        
        rtnData = accessServer(pageUrl, pagePmt);
        if (rtnData == null)
            return;
        else {
            if (rtnData.respCode == "OK") {
                //创建项目问卷成功
            }
            else {
                //创建项目问卷失败
                navigator.notification.alert(
                     rtnData.respDesc,  // message
                     function () {
                         return -1;
                     },         // callback
                    '创建项目问卷失败',            // title
                    '确定'                 // buttonName
                );
                return -1;
            }
        }
        */
        dbLocal.transaction(function (tx) {
            SQL = "Select partId,qId,typeId From greenbuilding_question ";
            SQL += "Where qVersion=" + verId + " ;";
            tx.executeSql(SQL, [], function (transaction, res) {
                var lens = res.rows.length;
                for (var i = 0; i < lens; i++)
                {
                    var partId = res.rows.item(i).partId;
                    var qId = res.rows.item(i).qId;
                    var typeId = res.rows.item(i).typeId;

                    aContent.push({ "p": partId, "q": qId, "t": typeId, "a": -1 });
                    countQ ++;
                }
                setTitle();
            }, function (err) {
                alert("Error " + err.code + " , " + err.message);
            });
        });
    }
    else
    {
        verId = gbAnswer.verId;
        aContent = JSON.parse(gbAnswer.aContent);
        setTitle();
    }
    
}
function setTitle()
{
    $("div.div_qtitle").html("已完成 " + countA + " 题，共 " + countQ + " 题");
}
function getQuestionList() {
    var htmlNav = "";
    var htmlContent = "";
    //var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
    dbLocal.transaction(function (tx) {
        //获取星级评定标准
        SQL = "Select typeId,grade1,grade2,grade3 From greenbuilding_type ";
        SQL += "Where qVersion=" + verId + " ;";
        tx.executeSql(SQL, [], function (transaction, res) {
            var lens = res.rows.length;
            for (var i = 0; i < lens; i++) {
                var typeId = res.rows.item(i).typeId;
                var grade1 = res.rows.item(i).grade1;
                var grade2 = res.rows.item(i).grade2;
                var grade3 = res.rows.item(i).grade3;

                typeGrade.push({ "typeId": typeId, "grade1": grade1, "grade2": grade2, "grade3": grade3 });
            }
        }, function (err) {
            alert("Error " + err.code + " , " + err.message);
        });

        //生成问卷
        SQL = "Select qId,qContent,greenbuilding_question.partId,partName,partBgcolor,";
        SQL += "greenbuilding_question.typeId,typeName ";
        SQL += "From greenbuilding_question,greenbuilding_part,greenbuilding_type ";
        SQL += "Where greenbuilding_question.partId=greenbuilding_part.partId ";
        SQL += "And greenbuilding_question.typeId=greenbuilding_type.typeId ";
        SQL += "And greenbuilding_question.qVersion=" + verId + " ;";
        tx.executeSql(SQL, [], function (transaction, res) {
            var lens = res.rows.length;
            var prePartId = 0;
            for (var i = 0; i < lens; i++)
            {
                var qId = res.rows.item(i).qId;
                var qContent = res.rows.item(i).qContent;
                var partId = res.rows.item(i).partId;
                var partName = res.rows.item(i).partName;
                var partBgcolor = res.rows.item(i).partBgcolor;
                var typeId = res.rows.item(i).typeId;
                var typeName = res.rows.item(i).typeName;
                
                var qVal = getAnswer(partId, qId);
                
                var picName = "";

                //导航栏
                htmlNav = "<div id='nav-" + partId + "-" + qId + "' class='div_q_nav' style='background-color:#" + partBgcolor + ";'>";
                htmlNav += "<table border=0 cellpadding=0 cellspacing=0><tr>";
                switch(qVal)
                {
                    case -1:
                        picName = "qm_gray.png";
                        break;
                    case 1:
                        picName = "star_gray_full.png";
                        break;
                    default:
                        picName = "star_gray_empty.png";
                }
                htmlNav += "<th><img id='ico-" + partId + "-" + qId + "' src='images/" + picName + "' /></th>";
                htmlNav += "<td>" + partId + "." + qId + "</td>";
                htmlNav += "</tr></table></div>";
                $("div.div_navigate").append(htmlNav);

                
                //问卷栏
                if (prePartId != partId) {
                    prePartId = partId;
                    htmlContent = "<table class='tb_q_question' border=0 cellpadding=0 cellspacing=0 align='center'>";
                    htmlContent += "<tr><td class='td_q_title'>" + partId + ".&nbsp;&nbsp;" + partName + "</td></tr>";
                    htmlContent += "</td></tr>";
                    htmlContent += "</table>";
                    $("div.div_question").append(htmlContent);
                }

                htmlContent = "<table id='tb-" + partId + "-" + qId + "' class='tb_q_question' border=0 cellpadding=0 cellspacing=0 align='center'>";
                htmlContent += "<tr><td class='td_q_content'>" + partId + "." + qId + "&nbsp;&nbsp;" + qContent + "</td></tr>";
                htmlContent += "<tr><td class='td_q_check'>";

                
                htmlContent += "<input type='hidden' id='ipt-" + partId + "-" + qId + "' date-qpart=" + partId + " date-qid=" + qId + " value=" + qVal + " />";
                if (qVal == 1)
                    picName = "radio_checked.png";
                else
                    picName = "radio_unchecked.png";
                htmlContent += "<img data-radio='" + partId + "-" + qId + "-ys' src='images/" + picName + "' >";
                htmlContent += "<span data-radio='" + partId + "-" + qId + "-ys'>是</span>";
                if (qVal == 0)
                    picName = "radio_checked.png";
                else
                    picName = "radio_unchecked.png";
                htmlContent += "<img data-radio='" + partId + "-" + qId + "-no' src='images/" + picName + "' >";
                htmlContent += "<span data-radio='" + partId + "-" + qId + "-no'>否</span>";
                if (qVal == 2)
                    picName = "radio_checked.png";
                else
                    picName = "radio_unchecked.png";
                htmlContent += "<img data-radio='" + partId + "-" + qId + "-ns' src='images/" + picName + "' >";
                htmlContent += "<span data-radio='" + partId + "-" + qId + "-ns'>不确定</span>";
                
                htmlContent += "</td></tr>";
                htmlContent += "</table>";
                $("div.div_question").append(htmlContent);

                //jsonQuestions.push({ "qId": qId, "qContent": qContent, "partId": partId, "partName": partName, "partBgcolor": partBgcolor, "typeId": typeId, "typeName": typeName, });
            }

        }, function (err) {
            alert("Error " + err.code + " , " + err.message);
        });
    });
}
function ClickRadio(onClickObj)
{
    var objVal = $(onClickObj).attr("data-radio");
    var objParent = $(onClickObj).parent();
    $(objParent).find("img").attr("src", "images/radio_unchecked.png");
    $(objParent).find("img[data-radio=" + objVal + "]").attr("src", "images/radio_checked.png");
    var qsn = objVal.split("-");
    var answer = -1;
    switch(qsn[2])
    {
        case "ys":
            answer = 1;
            break;
        case "no":
            answer = 0;
            break;
        case "ns":
            answer = 2;
            break;
    }
    $("#ipt-" + qsn[0] + "-" + qsn[1]).val(answer);
    setAnswer(qsn[0], qsn[1], answer);
    
    saveAnswer();
    setTitle();

    //导航自动滚动
    var objNavDiv = $("#nav-" + qsn[0] + "-" + qsn[1]);
    if(answer==1)
        $(objNavDiv).find("img").attr("src","images/star_gray_full.png");
    else
        $(objNavDiv).find("img").attr("src", "images/star_gray_empty.png");
    
    $("div.div_navigate").animate({
        scrollTop: $(objNavDiv).offset().top - $("div.div_navigate").offset().top + $("div.div_navigate").scrollTop()
    }, 400);
    

    //问卷自动滚动
    var objQusDiv = $("#tb-" + qsn[0] + "-" + qsn[1]).next();
    if (objQusDiv.length > 0)
    {
        $("div.div_question").animate({
            scrollTop: $(objQusDiv).offset().top - $("div.div_question").offset().top + $("div.div_question").scrollTop()
        }, 400);
    }
}

function ClickNavigate(onClickObj)
{
    var objVal = $(onClickObj).attr("id");
    var qsn = objVal.split("-");

    //问卷滚动
    var objQusDiv = $("#tb-" + qsn[1] + "-" + qsn[2]);
    $("div.div_question").animate({
        scrollTop: $(objQusDiv).offset().top - $("div.div_question").offset().top + $("div.div_question").scrollTop()
    }, 400);
}

function SubmitQuestion()
{
    var todo = countQ - countA;
    
    if (todo > 0) {
        navigator.notification.confirm("您还有 " + todo + " 个问题没有回答，此时提交问卷未回答的问题将视为不确定，是否仍要提交问卷?",
            function (buttonIndex) {
                if (buttonIndex == 1) {
                    return;
                }
            }, '提交问卷', ['取消', '确定']);
    }
    setStar();
    saveAnswer();
    var url = "conclusion.html?";
    url += "countstar=" + countStar;
    url += "&verid=" + verId;
    localStorage.aContent = JSON.stringify(aContent);
    //url += "&answer=" + encodeURIComponent(JSON.stringify(aContent));
    window.location = url;
}

function getAnswer(partId,qId)
{
    var aVal = -1;
    $.each(aContent, function (i, a) {
        if (a["p"] == partId && a["q"] == qId)
        {
            aVal = a["a"];
            return false
        }
    });
    return aVal;
}
function setAnswer(partId, qId, aVal) {
    countA = 0;
    $.each(aContent, function (i, answer) {
        if (answer["p"] == partId && answer["q"] == qId) {
            answer["a"] = aVal;
        }
        if (answer["a"] > -1)
            countA++;
    });
}

function setStar() {
    var aType = new Array();
    var aGoal = new Array();
    
    $.each(typeGrade, function (i, type) {
        aType[i] = type["typeId"];
        aGoal[i] = 0;
    });
    $.each(aContent, function (i, answer) {
        if (answer["a"] == 1)
        {
            $.each(aType, function (j, type) {
                if (type == answer["t"]) {
                    aGoal[j]++;
                    return false
                }
            });
        }
    });
    var flagGrade;
    //一星标准
    flagGrade = 0;
    $.each(typeGrade, function (i, grade) {
        $.each(aType, function (j, type) {
            if (type == grade["typeId"] && aGoal[j]>=grade["grade1"]) {
                flagGrade ++;
                return false
            }
        });
    });
    if (flagGrade == typeGrade.length)
        countStar = 1;
    //二星标准
    flagGrade = 0;
    $.each(typeGrade, function (i, grade) {
        $.each(aType, function (j, type) {
            if (type == grade["typeId"] && aGoal[j] >= grade["grade2"]) {
                flagGrade++;
                return false
            }
        });
    });
    if (flagGrade == typeGrade.length)
        countStar = 2;
    //三星标准
    flagGrade = 0;
    $.each(typeGrade, function (i, grade) {
        $.each(aType, function (j, type) {
            if (type == grade["typeId"] && aGoal[j] >= grade["grade3"]) {
                flagGrade++;
                return false
            }
        });
    });
    if (flagGrade == typeGrade.length)
        countStar = 3;
}
function saveAnswer() {
    var strAnswer = JSON.stringify(aContent);

    var Pmt = "bldgId=" + bldgId;
    Pmt += "&verId=" + verId;
    Pmt += "&countQ=" + countQ;
    Pmt += "&countA=" + countA;
    Pmt += "&countStar=" + countStar;
    Pmt += "&aContent=" + strAnswer;
    var pageUrl = "greenbuild/updateAnswer?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //提交问卷成功
        }
        else {
            //提交问卷失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return -1;
                 },         // callback
                '提交问卷失败',            // title
                '确定'                 // buttonName
            );
            return -1;
        }
    }
}